# RPM specfile for libgnomecups module
# Generated Wed Apr 28 18:55:32 2004 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.11.4.1 2003/08/12 19:39:58 mibarra Exp $

%define nam	libgnomecups
%define ver	0.1.6
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	3

Name:     	libgnomecups
Version: 	0.1.6
Release:	0.ximian.6.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/
Source0:	libgnomecups-0.1.6.tar.gz
Patch0:		libgnomecups-de.po.patch
Patch1:		libgnomecups-free-lang.patch
BuildRequires:	pkgconfig
BuildRequires:	cups-devel
BuildRequires:	cups
Summary:	GNOME CUPS Library 
Group:		System Environment/Libraries
Requires:	cups
Requires:	cups-libs
Provides:	ximian-libgnomecups = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libgnomecups-devel < 0.1.6-0.ximian.6.3
Conflicts:	libgnomecups-devel > 0.1.6-0.ximian.6.3

%description
A library for accessing printers on a CUPS server.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/lib/*.so.*
/usr/*/locale/*/LC_MESSAGES/*


%post
ldconfig

%postun
ldconfig

%package -n libgnomecups-devel
Summary:	GNOME CUPS Library Devel
Group:		System Environment/Libraries
Requires:	libgnomecups = 0.1.6-0.ximian.6.3
Requires:	glib2-devel
Requires:	cups-devel
Provides:	ximian-libgnomecups-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgnomecups-devel
Development headers and libraries for libgnomecups

%files -n libgnomecups-devel
%defattr(-, root, root)
/usr/lib/*.a
/usr/lib/*.so
/usr/include/libgnomecups-1
/usr/lib/pkgconfig/*.pc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgnomecups-0.1.6
    ;;
all)
%setup  -q -n libgnomecups-0.1.6
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 28 2004 Ximian, Inc.

- Version: 0.1.6-0.ximian.6.3
- Summary: New build.
- New automated build.

* Wed Jul 9 2003 Ximian, Inc.

- Version: 0.1.4-0.ximian.6.2
- Summary: New build.
- New automated build.

* Mon Apr 21 2003 Ximian, Inc.

- Version: 0.1.2-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Apr 15 2003 Ximian, Inc.

- Version: 0.1.1-0.ximian.1
- Summary: New build.
- New automated build.

* Fri Mar 28 2003 Ximian, Inc.

- Version: 0.1.0-0.ximian.1
- Summary: New build.
- New automated build.

